Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.SVD.ProblemType

class slepc4py.SLEPc.SVD.ProblemType

  Bases: `object`

  SVD problem type.

  - `STANDARD`: Standard SVD.

  - `GENERALIZED`: Generalized singular value decomposition (GSVD).

  - `HYPERBOLIC` : Hyperbolic singular value decomposition (HSVD).

  See also

  `SVDProblemType`

  Attributes Summary

  `GENERALIZED` | Constant `GENERALIZED` of type `int`
  `HYPERBOLIC` | Constant `HYPERBOLIC` of type `int`
  `STANDARD` | Constant `STANDARD` of type `int`

  Attributes Documentation

  GENERALIZED: int = GENERALIZED

    Constant `GENERALIZED` of type `int`

  HYPERBOLIC: int = HYPERBOLIC

    Constant `HYPERBOLIC` of type `int`

  STANDARD: int = STANDARD

    Constant `STANDARD` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)